Bug Hunting Session
Bug 108055 - RTF: Header and Footer are added multiple times
Summary: RTF: Header and Footer are added multiple times
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: medium normal
Assignee: thomas.beck
URL:
Whiteboard: target:6.0.0
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2017-05-24 11:44 UTC by thomas.beck
Modified: 2018-01-09 05:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Opened in Libreoffice 5.4 (192.80 KB, image/png)
2017-05-24 11:46 UTC, thomas.beck
Details
How it should look (115.28 KB, image/png)
2017-05-24 11:46 UTC, thomas.beck
Details
Document displayed with the proposed patch (208.75 KB, image/png)
2017-05-24 11:55 UTC, thomas.beck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thomas.beck 2017-05-24 11:44:58 UTC
Description:
When opening certain RTF Documents (can't attach because they are from a customer) that includes a Header and/or Footer it can happen that the Header/Footer will be randomly inserted into the Textbody (1-x times, depending on RTF) or the content will be inserted multiple times into the Header/Footer.

This also caused large LibreOffice to freeze on loading a large RTF document (74 Pages)



Steps to Reproduce:
1.Open RTF Document recieved from our Customer (see Attached Screenshot)
2.
3.

Actual Results:  
Header and Footer cause a mess.

Expected Results:
Proper display of RTF


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36
Comment 1 thomas.beck 2017-05-24 11:46:01 UTC
Created attachment 133509 [details]
Opened in Libreoffice 5.4
Comment 2 thomas.beck 2017-05-24 11:46:36 UTC
Created attachment 133510 [details]
How it should look
Comment 3 thomas.beck 2017-05-24 11:55:36 UTC
Created attachment 133511 [details]
Document displayed with the proposed patch

I submitted a patch for review. The resulting Document with the Patch can be seen on the Screenshot.

For the Patch see here: 
https://gerrit.libreoffice.org/#/c/37814/
Comment 4 Commit Notification 2017-06-12 10:34:31 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a71a2a843c31e5eeb5ae4b08ee861ba8f2c4516

tdf#108055 RTF: Header and Footer are added multiple times.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-07-14 13:24:47 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 6 tommy27 2018-01-09 05:29:43 UTC
@Thomas Beck
could you please provide the original file to see if the bug is still reproducible or not? I see only screenshots here.